4

I am trying to get blue tooth working on my Raspberry Pi using the latest Raspbian image and the Qt 5.6 source. After recompiling twice (which takes about 35 hours) I keep getting the following error:

Either no Qt D-Bus found or no BlueZ headers.

I have used Native Build of Qt5 on a Raspberry Pi in order to get everything compiled. I have also installed the following blue tooth packages:

  • bluez
  • libbluetooth3
  • libbluetooth-dev
  • libdbus-c++-dev

I found a similar thread Bluetooth on Arm (Raspberri PI Debian 7) in which I tried all the possible solution but nothing seems to work so far.

If I run qmake -d on the qt5/qtconnectivity/config.tests/bluez files I get the following output at the very end:

/usr/local/qt5/mkspecs/features/link_pkgconfig.prf:8: calling built-in $list(bluez) /usr/local/qt5/mkspecs/features/link_pkgconfig.prf:8: entering loop for PKGCONFIG_LIB over bluez

/usr/local/qt5/mkspecs/features/link_pkgconfig.prf:8: loop iteration "bluez" /usr/local/qt5/mkspecs/features/link_pkgconfig.prf:8: entering block /usr/local/qt5/mkspecs/features/link_pkgconfig.prf:10: NOT /usr/local/qt5/mkspecs/features/link_pkgconfig.prf:10: evaluating test function "packagesExist"

/usr/local/qt5/mkspecs/features/link_pkgconfig.prf:10: calling packagesExist(bluez) /usr/local/qt5/mkspecs/features/qt_functions.prf: entering block /usr/local/qt5/mkspecs/features/qt_functions.prf:191: evaluating test function "contains"

/usr/local/qt5/mkspecs/features/qt_functions.prf:191: calling built-in contains(QT_CONFIG, no-pkg-config) /usr/local/qt5/mkspecs/features/qt_functions.prf:191: test function returned true /usr/local/qt5/mkspecs/features/qt_functions.prf:191: AND /usr/local/qt5/mkspecs/features/qt_functions.prf:191: flow control statement 'return', aborting block

/usr/local/qt5/mkspecs/features/link_pkgconfig.prf:10: test function returned false /usr/local/qt5/mkspecs/features/link_pkgconfig.prf:10: AND /usr/local/qt5/mkspecs/features/link_pkgconfig.prf:10: evaluating test function "error"

/usr/local/qt5/mkspecs/features/link_pkgconfig.prf:10: calling built-in error("bluez development package not found") Project ERROR: bluez development package not found

but when I run the command pkg-config --modversion bluez it returns version 5.36 which would suggest it is able to find something. Running pkg-config --libs returns -L/usr/local/lib -lbluetooth.

Is there anyone who might know what causes my problems.

0

Looking through the beginning of that Qt-Bug report I notice that you do not seem to have installed the libdbus-1-dev package that gets mentioned.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.